Index: palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3382)
+++ palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3418)
@@ -3807,4 +4726,72 @@
 
         
+!     soil_type = 6
+! !--    Initialize standard soil types. It is possible to overwrite each
+! !--    parameter by setting the respecticy NAMELIST variable to a 
+! !--    value /= 9999999.9. 
+!        IF ( soil_type /= 0 )  THEN  
+!  
+!           IF ( alpha_vangenuchten == 9999999.9_wp )  THEN
+!              alpha_vangenuchten = soil_pars(0,soil_type)
+!           ENDIF
+! 
+!           IF ( l_vangenuchten == 9999999.9_wp )  THEN
+!              l_vangenuchten = soil_pars(1,soil_type)
+!           ENDIF
+! 
+!           IF ( n_vangenuchten == 9999999.9_wp )  THEN
+!              n_vangenuchten = soil_pars(2,soil_type)            
+!           ENDIF
+! 
+!           IF ( hydraulic_conductivity == 9999999.9_wp )  THEN
+!              hydraulic_conductivity = soil_pars(3,soil_type)            
+!           ENDIF
+! 
+!           IF ( saturation_moisture == 9999999.9_wp )  THEN
+!              saturation_moisture = m_soil_pars(0,soil_type)           
+!           ENDIF
+! 
+!           IF ( field_capacity == 9999999.9_wp )  THEN
+!              field_capacity = m_soil_pars(1,soil_type)           
+!           ENDIF
+! 
+!           IF ( wilting_point == 9999999.9_wp )  THEN
+!              wilting_point = m_soil_pars(2,soil_type)            
+!           ENDIF
+! 
+!           IF ( residual_moisture == 9999999.9_wp )  THEN
+!              residual_moisture = m_soil_pars(3,soil_type)       
+!           ENDIF
+!           
+!             DO  m = 1, surf_usm_h%ns
+!                DO k = nzb_wall, nzt_wall+1
+!                    swc_h(k,m) = field_capacity
+!                    rootfr_h(k,m) = 0.5_wp
+!                ENDDO
+!             ENDDO
+! ! !
+! ! !--         Vertical surfaces
+! !             DO  l = 0, 3
+! !                DO  m = 1, surf_usm_v(l)%ns
+! !                   DO k = nzb_wall, nzt_wall+1
+! !                      swc_v(l)%t(k,m) = 0.5_wp
+! !                   ENDDO
+! !                ENDDO
+! !             ENDDO
+! 
+!        ENDIF
+! 
+! !
+! !--    Map values to the respective 2D arrays
+!        surf_usm_h%alpha_vg_green      = alpha_vangenuchten
+!        surf_usm_h%l_vg_green          = l_vangenuchten
+!        surf_usm_h%n_vg_green          = n_vangenuchten 
+!        surf_usm_h%gamma_w_green_sat   = hydraulic_conductivity
+!        swc_sat_h         = saturation_moisture
+!        fc_h          = field_capacity
+!        wilt_h        = wilting_point
+!        swc_res_h         = residual_moisture
+! !        r_soil_min    = min_soil_resistance
+        
         CALL location_message( '    wall structures filed out', .TRUE. )
 
@@ -3830,4 +4817,7 @@
 
         INTEGER(iwp) ::  i                   !< loop index x-dirction
+        INTEGER(iwp) ::  ind_alb_green       !< index in input list for green albedo
+        INTEGER(iwp) ::  ind_alb_wall        !< index in input list for wall albedo
+        INTEGER(iwp) ::  ind_alb_win         !< index in input list for window albedo
         INTEGER(iwp) ::  ind_emis_wall       !< index in input list for wall emissivity
         INTEGER(iwp) ::  ind_emis_green      !< index in input list for green emissivity
@@ -3836,11 +4826,25 @@
         INTEGER(iwp) ::  ind_green_frac_r    !< index in input list for green fraction on roof
         INTEGER(iwp) ::  ind_hc1             !< index in input list for heat capacity at first wall layer
+        INTEGER(iwp) ::  ind_hc1_win         !< index in input list for heat capacity at first window layer
         INTEGER(iwp) ::  ind_hc2             !< index in input list for heat capacity at second wall layer
+        INTEGER(iwp) ::  ind_hc2_win         !< index in input list for heat capacity at second window layer
         INTEGER(iwp) ::  ind_hc3             !< index in input list for heat capacity at third wall layer
+        INTEGER(iwp) ::  ind_hc3_win         !< index in input list for heat capacity at third window layer
         INTEGER(iwp) ::  ind_lai_r           !< index in input list for LAI on roof
         INTEGER(iwp) ::  ind_lai_w           !< index in input list for LAI on wall
         INTEGER(iwp) ::  ind_tc1             !< index in input list for thermal conductivity at first wall layer
+        INTEGER(iwp) ::  ind_tc1_win         !< index in input list for thermal conductivity at first window layer
         INTEGER(iwp) ::  ind_tc2             !< index in input list for thermal conductivity at second wall layer
+        INTEGER(iwp) ::  ind_tc2_win         !< index in input list for thermal conductivity at second window layer
         INTEGER(iwp) ::  ind_tc3             !< index in input list for thermal conductivity at third wall layer
+        INTEGER(iwp) ::  ind_tc3_win         !< index in input list for thermal conductivity at third window layer
+        INTEGER(iwp) ::  ind_thick_1         !< index in input list for thickness of first wall layer 
+        INTEGER(iwp) ::  ind_thick_1_win     !< index in input list for thickness of first window layer 
+        INTEGER(iwp) ::  ind_thick_2         !< index in input list for thickness of second wall layer 
+        INTEGER(iwp) ::  ind_thick_2_win     !< index in input list for thickness of second window layer
+        INTEGER(iwp) ::  ind_thick_3         !< index in input list for thickness of third wall layer
+        INTEGER(iwp) ::  ind_thick_3_win     !< index in input list for thickness of third window layer
+        INTEGER(iwp) ::  ind_thick_4         !< index in input list for thickness of fourth wall layer
+        INTEGER(iwp) ::  ind_thick_4_win     !< index in input list for thickness of fourth window layer
         INTEGER(iwp) ::  ind_trans           !< index in input list for window transmissivity
         INTEGER(iwp) ::  ind_wall_frac       !< index in input list for wall fraction
@@ -3854,5 +4858,5 @@
         INTEGER(iwp) ::  st                  !< dummy  
 
-        REAL(wp)     ::  c, tin, twin
+        REAL(wp)     ::  c, d, tin, twin
         REAL(wp)     ::  ground_floor_level_l         !< local height of ground floor level
         REAL(wp)     ::  z_agl                        !< height above ground
@@ -3949,4 +4953,23 @@
            ENDDO
         ENDDO
+        
+!---------------------------------------------------------------------------------------------
+!
+!--    Map values onto horizontal elemements
+       DO  m = 1, surf_usm_h%ns
+             surf_usm_h%r_canopy_min(m)     = 200.0_wp !min_canopy_resistance
+             surf_usm_h%g_d(m)              = 0.0_wp !canopy_resistance_coefficient
+       ENDDO
+!
+!--    Map values onto vertical elements, even though this does not make
+!--    much sense.
+       DO  l = 0, 3
+          DO  m = 1, surf_usm_v(l)%ns
+                surf_usm_v(l)%r_canopy_min(m)     = 200.0_wp !min_canopy_resistance
+                surf_usm_v(l)%g_d(m)              = 0.0_wp !canopy_resistance_coefficient
+          ENDDO
+       ENDDO
+!---------------------------------------------------------------------------------------------
+!
 !
 !--     Initialize urban-type surface attribute. According to initialization in 
@@ -3960,36 +4983,9 @@
 !
 !--        In order to distinguish between ground floor level and 
-!--        above-ground-floor level surfaces, set input indices. 
-           ind_wall_frac    = MERGE( ind_wall_frac_gfl,    ind_wall_frac_agfl,    &
-                                     surf_usm_h%ground_level(m) )
-           ind_win_frac     = MERGE( ind_win_frac_gfl,     ind_win_frac_agfl,     &
-                                     surf_usm_h%ground_level(m) )
-           ind_green_frac_w = MERGE( ind_green_frac_w_gfl, ind_green_frac_w_agfl, &
-                                     surf_usm_h%ground_level(m) )
+!--        above-ground-floor level surfaces, set input indices.
+
            ind_green_frac_r = MERGE( ind_green_frac_r_gfl, ind_green_frac_r_agfl, &
                                      surf_usm_h%ground_level(m) )
            ind_lai_r        = MERGE( ind_lai_r_gfl,        ind_lai_r_agfl,        &
-                                     surf_usm_h%ground_level(m) )
-           ind_lai_w        = MERGE( ind_lai_w_gfl,        ind_lai_w_agfl,        &
-                                     surf_usm_h%ground_level(m) )
-           ind_hc1          = MERGE( ind_hc1_gfl,          ind_hc1_agfl,          &
-                                     surf_usm_h%ground_level(m) )
-           ind_hc2          = MERGE( ind_hc2_gfl,          ind_hc2_agfl,          &
-                                     surf_usm_h%ground_level(m) )
-           ind_hc3          = MERGE( ind_hc3_gfl,          ind_hc3_agfl,          &
-                                     surf_usm_h%ground_level(m) )
-           ind_tc1          = MERGE( ind_tc1_gfl,          ind_tc1_agfl,          &
-                                     surf_usm_h%ground_level(m) )
-           ind_tc2          = MERGE( ind_tc2_gfl,          ind_tc2_agfl,          &
-                                     surf_usm_h%ground_level(m) )
-           ind_tc3          = MERGE( ind_tc3_gfl,          ind_tc3_agfl,          &
-                                     surf_usm_h%ground_level(m) )
-           ind_emis_wall    = MERGE( ind_emis_wall_gfl,    ind_emis_wall_agfl,    &
-                                     surf_usm_h%ground_level(m) )
-           ind_emis_green   = MERGE( ind_emis_green_gfl,   ind_emis_green_agfl,   &
-                                     surf_usm_h%ground_level(m) )
-           ind_emis_win     = MERGE( ind_emis_win_gfl,     ind_emis_win_agfl,     &
-                                     surf_usm_h%ground_level(m) )
-           ind_trans        = MERGE( ind_trans_gfl,        ind_trans_agfl,        &
                                      surf_usm_h%ground_level(m) )
            ind_z0           = MERGE( ind_z0_gfl,           ind_z0_agfl,           &
@@ -4003,43 +4999,43 @@
 !
 !--        Initialize relatvie wall- (0), green- (1) and window (2) fractions
-           surf_usm_h%frac(ind_veg_wall,m)  = building_pars(ind_wall_frac,building_type)   
+           surf_usm_h%frac(ind_veg_wall,m)  = building_pars(ind_wall_frac_r,building_type)   
            surf_usm_h%frac(ind_pav_green,m) = building_pars(ind_green_frac_r,building_type)  
-           surf_usm_h%frac(ind_wat_win,m)   = building_pars(ind_win_frac,building_type)  
-           surf_usm_h%lai(m)                = building_pars(ind_green_frac_r,building_type)  
-
-           surf_usm_h%rho_c_wall(nzb_wall,m)   = building_pars(ind_hc1,building_type)  
-           surf_usm_h%rho_c_wall(nzb_wall+1,m) = building_pars(ind_hc1,building_type)
-           surf_usm_h%rho_c_wall(nzb_wall+2,m) = building_pars(ind_hc2,building_type)
-           surf_usm_h%rho_c_wall(nzb_wall+3,m) = building_pars(ind_hc3,building_type)    
-           surf_usm_h%lambda_h(nzb_wall,m)   = building_pars(ind_tc1,building_type)  
-           surf_usm_h%lambda_h(nzb_wall+1,m) = building_pars(ind_tc1,building_type) 
-           surf_usm_h%lambda_h(nzb_wall+2,m) = building_pars(ind_tc2,building_type)
-           surf_usm_h%lambda_h(nzb_wall+3,m) = building_pars(ind_tc3,building_type)    
-           surf_usm_h%rho_c_green(nzb_wall,m)   = building_pars(ind_hc1,building_type)  
-           surf_usm_h%rho_c_green(nzb_wall+1,m) = building_pars(ind_hc1,building_type)
-           surf_usm_h%rho_c_green(nzb_wall+2,m) = building_pars(ind_hc2,building_type)
-           surf_usm_h%rho_c_green(nzb_wall+3,m) = building_pars(ind_hc3,building_type)    
-           surf_usm_h%lambda_h_green(nzb_wall,m)   = building_pars(ind_tc1,building_type)  
-           surf_usm_h%lambda_h_green(nzb_wall+1,m) = building_pars(ind_tc1,building_type) 
-           surf_usm_h%lambda_h_green(nzb_wall+2,m) = building_pars(ind_tc2,building_type)
-           surf_usm_h%lambda_h_green(nzb_wall+3,m) = building_pars(ind_tc3,building_type)
-           surf_usm_h%rho_c_window(nzb_wall,m)   = building_pars(ind_hc1,building_type)  
-           surf_usm_h%rho_c_window(nzb_wall+1,m) = building_pars(ind_hc1,building_type)
-           surf_usm_h%rho_c_window(nzb_wall+2,m) = building_pars(ind_hc2,building_type)
-           surf_usm_h%rho_c_window(nzb_wall+3,m) = building_pars(ind_hc3,building_type)    
-           surf_usm_h%lambda_h_window(nzb_wall,m)   = building_pars(ind_tc1,building_type)  
-           surf_usm_h%lambda_h_window(nzb_wall+1,m) = building_pars(ind_tc1,building_type) 
-           surf_usm_h%lambda_h_window(nzb_wall+2,m) = building_pars(ind_tc2,building_type)
-           surf_usm_h%lambda_h_window(nzb_wall+3,m) = building_pars(ind_tc3,building_type)    
-
-           surf_usm_h%target_temp_summer(m)  = building_pars(12,building_type)    
-           surf_usm_h%target_temp_winter(m)  = building_pars(13,building_type)    
+           surf_usm_h%frac(ind_wat_win,m)   = building_pars(ind_win_frac_r,building_type)  
+           surf_usm_h%lai(m)                = building_pars(ind_lai_r,building_type)  
+
+           surf_usm_h%rho_c_wall(nzb_wall,m)   = building_pars(ind_hc1_wall_r,building_type)  
+           surf_usm_h%rho_c_wall(nzb_wall+1,m) = building_pars(ind_hc1_wall_r,building_type)
+           surf_usm_h%rho_c_wall(nzb_wall+2,m) = building_pars(ind_hc2_wall_r,building_type)
+           surf_usm_h%rho_c_wall(nzb_wall+3,m) = building_pars(ind_hc3_wall_r,building_type)    
+           surf_usm_h%lambda_h(nzb_wall,m)   = building_pars(ind_tc1_wall_r,building_type)  
+           surf_usm_h%lambda_h(nzb_wall+1,m) = building_pars(ind_tc1_wall_r,building_type) 
+           surf_usm_h%lambda_h(nzb_wall+2,m) = building_pars(ind_tc2_wall_r,building_type)
+           surf_usm_h%lambda_h(nzb_wall+3,m) = building_pars(ind_tc3_wall_r,building_type)    
+           surf_usm_h%rho_c_green(nzb_wall,m)   = rho_c_soil !building_pars(ind_hc1_wall_r,building_type)  
+           surf_usm_h%rho_c_green(nzb_wall+1,m) = rho_c_soil !building_pars(ind_hc1_wall_r,building_type)
+           surf_usm_h%rho_c_green(nzb_wall+2,m) = rho_c_soil !building_pars(ind_hc2_wall_r,building_type)
+           surf_usm_h%rho_c_green(nzb_wall+3,m) = rho_c_soil !building_pars(ind_hc3_wall_r,building_type)    
+           surf_usm_h%lambda_h_green(nzb_wall,m)   = lambda_h_green_sm !building_pars(ind_tc1_wall_r,building_type)  
+           surf_usm_h%lambda_h_green(nzb_wall+1,m) = lambda_h_green_sm !building_pars(ind_tc1_wall_r,building_type) 
+           surf_usm_h%lambda_h_green(nzb_wall+2,m) = lambda_h_green_sm !building_pars(ind_tc2_wall_r,building_type)
+           surf_usm_h%lambda_h_green(nzb_wall+3,m) = lambda_h_green_sm !building_pars(ind_tc3_wall_r,building_type)
+           surf_usm_h%rho_c_window(nzb_wall,m)   = building_pars(ind_hc1_win_r,building_type)  
+           surf_usm_h%rho_c_window(nzb_wall+1,m) = building_pars(ind_hc1_win_r,building_type)
+           surf_usm_h%rho_c_window(nzb_wall+2,m) = building_pars(ind_hc2_win_r,building_type)
+           surf_usm_h%rho_c_window(nzb_wall+3,m) = building_pars(ind_hc3_win_r,building_type)    
+           surf_usm_h%lambda_h_window(nzb_wall,m)   = building_pars(ind_tc1_win_r,building_type)  
+           surf_usm_h%lambda_h_window(nzb_wall+1,m) = building_pars(ind_tc1_win_r,building_type) 
+           surf_usm_h%lambda_h_window(nzb_wall+2,m) = building_pars(ind_tc2_win_r,building_type)
+           surf_usm_h%lambda_h_window(nzb_wall+3,m) = building_pars(ind_tc3_win_r,building_type)    
+
+           surf_usm_h%target_temp_summer(m)  = building_pars(117,building_type)    
+           surf_usm_h%target_temp_winter(m)  = building_pars(118,building_type)    
 !
 !--        emissivity of wall-, green- and window fraction 
-           surf_usm_h%emissivity(ind_veg_wall,m)  = building_pars(ind_emis_wall,building_type)
-           surf_usm_h%emissivity(ind_pav_green,m) = building_pars(ind_emis_green,building_type)
-           surf_usm_h%emissivity(ind_wat_win,m)   = building_pars(ind_emis_win,building_type)
-
-           surf_usm_h%transmissivity(m)      = building_pars(ind_trans,building_type)
+           surf_usm_h%emissivity(ind_veg_wall,m)  = building_pars(ind_emis_wall_r,building_type)
+           surf_usm_h%emissivity(ind_pav_green,m) = building_pars(ind_emis_green_r,building_type)
+           surf_usm_h%emissivity(ind_wat_win,m)   = building_pars(ind_emis_win_r,building_type)
+
+           surf_usm_h%transmissivity(m)      = building_pars(ind_trans_r,building_type)
 
            surf_usm_h%z0(m)                  = building_pars(ind_z0,building_type)
@@ -4048,29 +5044,31 @@
 !
 !--        albedo type for wall fraction, green fraction, window fraction
-           surf_usm_h%albedo_type(ind_veg_wall,m)  = INT( building_pars(ind_alb_wall,building_type)  )
-           surf_usm_h%albedo_type(ind_pav_green,m) = INT( building_pars(ind_alb_green,building_type) )
-           surf_usm_h%albedo_type(ind_wat_win,m)   = INT( building_pars(ind_alb_win,building_type)   )
-
-           surf_usm_h%zw(nzb_wall,m)         = building_pars(ind_thick_1,building_type)
-           surf_usm_h%zw(nzb_wall+1,m)       = building_pars(ind_thick_2,building_type)
-           surf_usm_h%zw(nzb_wall+2,m)       = building_pars(ind_thick_3,building_type)
-           surf_usm_h%zw(nzb_wall+3,m)       = building_pars(ind_thick_4,building_type)
+           surf_usm_h%albedo_type(ind_veg_wall,m)  = INT( building_pars(ind_alb_wall_r,building_type)  )
+           surf_usm_h%albedo_type(ind_pav_green,m) = INT( building_pars(ind_alb_green_r,building_type) )
+           surf_usm_h%albedo_type(ind_wat_win,m)   = INT( building_pars(ind_alb_win_r,building_type)   )
+
+           surf_usm_h%zw(nzb_wall,m)         = building_pars(ind_thick_1_wall_r,building_type)
+           surf_usm_h%zw(nzb_wall+1,m)       = building_pars(ind_thick_2_wall_r,building_type)
+           surf_usm_h%zw(nzb_wall+2,m)       = building_pars(ind_thick_3_wall_r,building_type)
+           surf_usm_h%zw(nzb_wall+3,m)       = building_pars(ind_thick_4_wall_r,building_type)
            
-           surf_usm_h%zw_green(nzb_wall,m)         = building_pars(ind_thick_1,building_type)
-           surf_usm_h%zw_green(nzb_wall+1,m)       = building_pars(ind_thick_2,building_type)
-           surf_usm_h%zw_green(nzb_wall+2,m)       = building_pars(ind_thick_3,building_type)
-           surf_usm_h%zw_green(nzb_wall+3,m)       = building_pars(ind_thick_4,building_type)
+           surf_usm_h%zw_green(nzb_wall,m)         = building_pars(ind_thick_1_wall_r,building_type)
+           surf_usm_h%zw_green(nzb_wall+1,m)       = building_pars(ind_thick_2_wall_r,building_type)
+           surf_usm_h%zw_green(nzb_wall+2,m)       = building_pars(ind_thick_3_wall_r,building_type)
+           surf_usm_h%zw_green(nzb_wall+3,m)       = building_pars(ind_thick_4_wall_r,building_type)
            
-           surf_usm_h%zw_window(nzb_wall,m)         = building_pars(ind_thick_1,building_type)
-           surf_usm_h%zw_window(nzb_wall+1,m)       = building_pars(ind_thick_2,building_type)
-           surf_usm_h%zw_window(nzb_wall+2,m)       = building_pars(ind_thick_3,building_type)
-           surf_usm_h%zw_window(nzb_wall+3,m)       = building_pars(ind_thick_4,building_type)
-
-           surf_usm_h%c_surface(m)           = building_pars(45,building_type)  
-           surf_usm_h%lambda_surf(m)         = building_pars(46,building_type)  
-           surf_usm_h%c_surface_green(m)     = building_pars(45,building_type)  
-           surf_usm_h%lambda_surf_green(m)   = building_pars(46,building_type)  
-           surf_usm_h%c_surface_window(m)    = building_pars(45,building_type)  
-           surf_usm_h%lambda_surf_window(m)  = building_pars(46,building_type)  
+           surf_usm_h%zw_window(nzb_wall,m)         = building_pars(ind_thick_1_win_r,building_type)
+           surf_usm_h%zw_window(nzb_wall+1,m)       = building_pars(ind_thick_2_win_r,building_type)
+           surf_usm_h%zw_window(nzb_wall+2,m)       = building_pars(ind_thick_3_win_r,building_type)
+           surf_usm_h%zw_window(nzb_wall+3,m)       = building_pars(ind_thick_4_win_r,building_type)
+
+           surf_usm_h%c_surface(m)           = building_pars(0,building_type)  
+           surf_usm_h%lambda_surf(m)         = building_pars(3,building_type)  
+           surf_usm_h%c_surface_green(m)     = building_pars(2,building_type)  
+           surf_usm_h%lambda_surf_green(m)   = building_pars(5,building_type)  
+           surf_usm_h%c_surface_window(m)    = building_pars(1,building_type)  
+           surf_usm_h%lambda_surf_window(m)  = building_pars(4,building_type)  
+           
+           surf_usm_h%green_type_roof(m)     = building_pars(ind_green_type_roof,building_type)
 
         ENDDO
@@ -4082,5 +5080,11 @@
 !
 !--           In order to distinguish between ground floor level and 
-!--           above-ground-floor level surfaces, set input indices. 
+!--           above-ground-floor level surfaces, set input indices.
+              ind_alb_green    = MERGE( ind_alb_green_gfl,    ind_alb_green_agfl,    &
+                                        surf_usm_v(l)%ground_level(m) )
+              ind_alb_wall     = MERGE( ind_alb_wall_gfl,     ind_alb_wall_agfl,     &
+                                        surf_usm_v(l)%ground_level(m) )
+              ind_alb_win      = MERGE( ind_alb_win_gfl,      ind_alb_win_agfl,      &
+                                        surf_usm_v(l)%ground_level(m) )
               ind_wall_frac    = MERGE( ind_wall_frac_gfl,    ind_wall_frac_agfl,    &
                                         surf_usm_v(l)%ground_level(m) )
@@ -4097,13 +5101,41 @@
               ind_hc1          = MERGE( ind_hc1_gfl,          ind_hc1_agfl,          &
                                         surf_usm_v(l)%ground_level(m) )
+              ind_hc1_win      = MERGE( ind_hc1_win_gfl,      ind_hc1_win_agfl,      &
+                                        surf_usm_v(l)%ground_level(m) )
               ind_hc2          = MERGE( ind_hc2_gfl,          ind_hc2_agfl,          &
+                                        surf_usm_v(l)%ground_level(m) )
+              ind_hc2_win      = MERGE( ind_hc2_win_gfl,      ind_hc2_win_agfl,      &
                                         surf_usm_v(l)%ground_level(m) )
               ind_hc3          = MERGE( ind_hc3_gfl,          ind_hc3_agfl,          &
                                         surf_usm_v(l)%ground_level(m) )
+              ind_hc3_win      = MERGE( ind_hc3_win_gfl,      ind_hc3_win_agfl,      &
+                                        surf_usm_v(l)%ground_level(m) )
               ind_tc1          = MERGE( ind_tc1_gfl,          ind_tc1_agfl,          &
+                                        surf_usm_v(l)%ground_level(m) )
+              ind_tc1_win      = MERGE( ind_tc1_win_gfl,      ind_tc1_win_agfl,      &
                                         surf_usm_v(l)%ground_level(m) )
               ind_tc2          = MERGE( ind_tc2_gfl,          ind_tc2_agfl,          &
                                         surf_usm_v(l)%ground_level(m) )
+              ind_tc2_win      = MERGE( ind_tc2_win_gfl,      ind_tc2_win_agfl,      &
+                                        surf_usm_v(l)%ground_level(m) )
               ind_tc3          = MERGE( ind_tc3_gfl,          ind_tc3_agfl,          &
+                                        surf_usm_v(l)%ground_level(m) )
+              ind_tc3_win      = MERGE( ind_tc3_win_gfl,      ind_tc3_win_agfl,      &
+                                        surf_usm_v(l)%ground_level(m) )
+              ind_thick_1      = MERGE( ind_thick_1_gfl,      ind_thick_1_agfl,      &
+                                        surf_usm_v(l)%ground_level(m) )
+              ind_thick_1_win  = MERGE( ind_thick_1_win_gfl,  ind_thick_1_win_agfl,  &
+                                        surf_usm_v(l)%ground_level(m) )
+              ind_thick_2      = MERGE( ind_thick_2_gfl,      ind_thick_2_agfl,      &
+                                        surf_usm_v(l)%ground_level(m) )
+              ind_thick_2_win  = MERGE( ind_thick_2_win_gfl,  ind_thick_2_win_agfl,  &
+                                        surf_usm_v(l)%ground_level(m) )
+              ind_thick_3      = MERGE( ind_thick_3_gfl,      ind_thick_3_agfl,      &
+                                        surf_usm_v(l)%ground_level(m) )
+              ind_thick_3_win  = MERGE( ind_thick_3_win_gfl,  ind_thick_3_win_agfl,  &
+                                        surf_usm_v(l)%ground_level(m) )
+              ind_thick_4      = MERGE( ind_thick_4_gfl,      ind_thick_4_agfl,      &
+                                        surf_usm_v(l)%ground_level(m) )
+              ind_thick_4_win  = MERGE( ind_thick_4_win_gfl,  ind_thick_4_win_agfl,  &
                                         surf_usm_v(l)%ground_level(m) )
               ind_emis_wall    = MERGE( ind_emis_wall_gfl,    ind_emis_wall_agfl,    &
@@ -4135,13 +5167,13 @@
               surf_usm_v(l)%rho_c_wall(nzb_wall+3,m) = building_pars(ind_hc3,building_type)    
               
-              surf_usm_v(l)%rho_c_green(nzb_wall,m)   = building_pars(ind_hc1,building_type)  
-              surf_usm_v(l)%rho_c_green(nzb_wall+1,m) = building_pars(ind_hc1,building_type)
-              surf_usm_v(l)%rho_c_green(nzb_wall+2,m) = building_pars(ind_hc2,building_type)
-              surf_usm_v(l)%rho_c_green(nzb_wall+3,m) = building_pars(ind_hc3,building_type)    
+              surf_usm_v(l)%rho_c_green(nzb_wall,m)   = rho_c_soil !building_pars(ind_hc1,building_type)  
+              surf_usm_v(l)%rho_c_green(nzb_wall+1,m) = rho_c_soil !building_pars(ind_hc1,building_type)
+              surf_usm_v(l)%rho_c_green(nzb_wall+2,m) = rho_c_soil !building_pars(ind_hc2,building_type)
+              surf_usm_v(l)%rho_c_green(nzb_wall+3,m) = rho_c_soil !building_pars(ind_hc3,building_type)    
               
-              surf_usm_v(l)%rho_c_window(nzb_wall,m)   = building_pars(ind_hc1,building_type)  
-              surf_usm_v(l)%rho_c_window(nzb_wall+1,m) = building_pars(ind_hc1,building_type)
-              surf_usm_v(l)%rho_c_window(nzb_wall+2,m) = building_pars(ind_hc2,building_type)
-              surf_usm_v(l)%rho_c_window(nzb_wall+3,m) = building_pars(ind_hc3,building_type)    
+              surf_usm_v(l)%rho_c_window(nzb_wall,m)   = building_pars(ind_hc1_win,building_type)  
+              surf_usm_v(l)%rho_c_window(nzb_wall+1,m) = building_pars(ind_hc1_win,building_type)
+              surf_usm_v(l)%rho_c_window(nzb_wall+2,m) = building_pars(ind_hc2_win,building_type)
+              surf_usm_v(l)%rho_c_window(nzb_wall+3,m) = building_pars(ind_hc3_win,building_type)    
 
               surf_usm_v(l)%lambda_h(nzb_wall,m)   = building_pars(ind_tc1,building_type)  
@@ -4150,16 +5182,16 @@
               surf_usm_v(l)%lambda_h(nzb_wall+3,m) = building_pars(ind_tc3,building_type)    
               
-              surf_usm_v(l)%lambda_h_green(nzb_wall,m)   = building_pars(ind_tc1,building_type)  
-              surf_usm_v(l)%lambda_h_green(nzb_wall+1,m) = building_pars(ind_tc1,building_type) 
-              surf_usm_v(l)%lambda_h_green(nzb_wall+2,m) = building_pars(ind_tc2,building_type)
-              surf_usm_v(l)%lambda_h_green(nzb_wall+3,m) = building_pars(ind_tc3,building_type)    
-
-              surf_usm_v(l)%lambda_h_window(nzb_wall,m)   = building_pars(ind_tc1,building_type)  
-              surf_usm_v(l)%lambda_h_window(nzb_wall+1,m) = building_pars(ind_tc1,building_type) 
-              surf_usm_v(l)%lambda_h_window(nzb_wall+2,m) = building_pars(ind_tc2,building_type)
-              surf_usm_v(l)%lambda_h_window(nzb_wall+3,m) = building_pars(ind_tc3,building_type)    
-
-              surf_usm_v(l)%target_temp_summer(m)  = building_pars(12,building_type)    
-              surf_usm_v(l)%target_temp_winter(m)  = building_pars(13,building_type)    
+              surf_usm_v(l)%lambda_h_green(nzb_wall,m)   = lambda_h_green_sm !building_pars(ind_tc1,building_type)  
+              surf_usm_v(l)%lambda_h_green(nzb_wall+1,m) = lambda_h_green_sm !building_pars(ind_tc1,building_type) 
+              surf_usm_v(l)%lambda_h_green(nzb_wall+2,m) = lambda_h_green_sm !building_pars(ind_tc2,building_type)
+              surf_usm_v(l)%lambda_h_green(nzb_wall+3,m) = lambda_h_green_sm !building_pars(ind_tc3,building_type)    
+
+              surf_usm_v(l)%lambda_h_window(nzb_wall,m)   = building_pars(ind_tc1_win,building_type)  
+              surf_usm_v(l)%lambda_h_window(nzb_wall+1,m) = building_pars(ind_tc1_win,building_type) 
+              surf_usm_v(l)%lambda_h_window(nzb_wall+2,m) = building_pars(ind_tc2_win,building_type)
+              surf_usm_v(l)%lambda_h_window(nzb_wall+3,m) = building_pars(ind_tc3_win,building_type)    
+
+              surf_usm_v(l)%target_temp_summer(m)  = building_pars(117,building_type)    
+              surf_usm_v(l)%target_temp_winter(m)  = building_pars(118,building_type)    
 !
 !--           emissivity of wall-, green- and window fraction 
@@ -4188,15 +5220,15 @@
               surf_usm_v(l)%zw_green(nzb_wall+3,m)       = building_pars(ind_thick_4,building_type)
 
-              surf_usm_v(l)%zw_window(nzb_wall,m)         = building_pars(ind_thick_1,building_type)
-              surf_usm_v(l)%zw_window(nzb_wall+1,m)       = building_pars(ind_thick_2,building_type)
-              surf_usm_v(l)%zw_window(nzb_wall+2,m)       = building_pars(ind_thick_3,building_type)
-              surf_usm_v(l)%zw_window(nzb_wall+3,m)       = building_pars(ind_thick_4,building_type)
-
-              surf_usm_v(l)%c_surface(m)           = building_pars(45,building_type)  
-              surf_usm_v(l)%lambda_surf(m)         = building_pars(46,building_type)
-              surf_usm_v(l)%c_surface_green(m)     = building_pars(45,building_type)  
-              surf_usm_v(l)%lambda_surf_green(m)   = building_pars(46,building_type)
-              surf_usm_v(l)%c_surface_window(m)    = building_pars(45,building_type)  
-              surf_usm_v(l)%lambda_surf_window(m)  = building_pars(46,building_type)
+              surf_usm_v(l)%zw_window(nzb_wall,m)         = building_pars(ind_thick_1_win,building_type)
+              surf_usm_v(l)%zw_window(nzb_wall+1,m)       = building_pars(ind_thick_2_win,building_type)
+              surf_usm_v(l)%zw_window(nzb_wall+2,m)       = building_pars(ind_thick_3_win,building_type)
+              surf_usm_v(l)%zw_window(nzb_wall+3,m)       = building_pars(ind_thick_4_win,building_type)
+
+              surf_usm_v(l)%c_surface(m)           = building_pars(0,building_type)  
+              surf_usm_v(l)%lambda_surf(m)         = building_pars(3,building_type)
+              surf_usm_v(l)%c_surface_green(m)     = building_pars(2,building_type)  
+              surf_usm_v(l)%lambda_surf_green(m)   = building_pars(5,building_type)
+              surf_usm_v(l)%c_surface_window(m)    = building_pars(1,building_type)  
+              surf_usm_v(l)%lambda_surf_window(m)  = building_pars(4,building_type)
 
            ENDDO
